Fixed ticket #44
authorFlorian Fainelli <florian@openwrt.org>
Mon, 2 Jan 2006 12:41:24 +0000 (12:41 +0000)
committerFlorian Fainelli <florian@openwrt.org>
Mon, 2 Jan 2006 12:41:24 +0000 (12:41 +0000)
SVN-Revision: 2803

openwrt/package/ez-ipupdate/Makefile
openwrt/package/ez-ipupdate/files/ez-ipupdate.conf [new file with mode: 0644]
openwrt/package/ez-ipupdate/files/ez-ipupdate.hotplug [new file with mode: 0644]
openwrt/package/ez-ipupdate/files/ez-ipupdate.init [new file with mode: 0644]

index fd1a9719ba66057bfcf586a5b7d58da07e973e7b..b306b15f61ac428ed4c9ca8a8560cdd06a978ec5 100644 (file)
@@ -47,7 +47,11 @@ $(PKG_BUILD_DIR)/.built:
 
 $(IPKG_EZIPUPDATE):
        mkdir -p $(IDIR_EZIPUPDATE)/usr/sbin 
 
 $(IPKG_EZIPUPDATE):
        mkdir -p $(IDIR_EZIPUPDATE)/usr/sbin 
-       cp $(PKG_BUILD_DIR)/ez-ipupdate $(IDIR_EZIPUPDATE)/usr/sbin/
+       install -d 0755 $(IDIR_EZIPUPDATE)/etc/init.d $(IDIR_EZIPUPDATE)/etc/hotplug.d/iface
+       install -m0755 $(PKG_BUILD_DIR)/ez-ipupdate $(IDIR_EZIPUPDATE)/usr/sbin/
+       install -m0755 files/$(PKG_NAME).init $(IDIR_EZIPUPDATE)/etc/init.d/S80$(PKG_NAME)
+       install -m0755 files/$(PKG_NAME).conf $(IDIR_EZIPUPDATE)/etc/
+       install -m0755 files/$(PKG_NAME).hotplug $(IDIR_EZIPUPDATE)/etc/hotplug.d/iface/15-$(PKG_NAME)
        $(STRIP) $(IDIR_EZIPUPDATE)/usr/sbin/*
        $(IPKG_BUILD) $(IDIR_EZIPUPDATE) $(PACKAGE_DIR)
 
        $(STRIP) $(IDIR_EZIPUPDATE)/usr/sbin/*
        $(IPKG_BUILD) $(IDIR_EZIPUPDATE) $(PACKAGE_DIR)
 
diff --git a/openwrt/package/ez-ipupdate/files/ez-ipupdate.conf b/openwrt/package/ez-ipupdate/files/ez-ipupdate.conf
new file mode 100644 (file)
index 0000000..ac2d2ce
--- /dev/null
@@ -0,0 +1,8 @@
+service-type=zoneedit
+user=myname:mypassword
+interface=WAN_IFNAME
+host=mydomain.com
+
+# Do not change the lines below
+cache-file=/tmp/ez-ipup
+pid-file=/var/run/ez-ipupdate.pid
diff --git a/openwrt/package/ez-ipupdate/files/ez-ipupdate.hotplug b/openwrt/package/ez-ipupdate/files/ez-ipupdate.hotplug
new file mode 100644 (file)
index 0000000..3f27c14
--- /dev/null
@@ -0,0 +1 @@
+[ "$ACTION" = "ifup" -a "$INTERFACE" = "wan" ] && /usr/sbin/ez-ipupdate -c /etc/ez-ipupdate.conf &
diff --git a/openwrt/package/ez-ipupdate/files/ez-ipupdate.init b/openwrt/package/ez-ipupdate/files/ez-ipupdate.init
new file mode 100644 (file)
index 0000000..1572175
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+BIN=ez-ipupdate
+CONF=/etc/$BIN.conf
+RUN_D=/var/run
+PID_F=$RUN_D/$BIN.pid
+[ -f $CONF ] || exit
+
+case $1 in
+ start)
+  mkdir -p $RUN_D
+  $BIN -c $CONF
+  ;;
+ stop)
+  [ -f $PID_F ] && kill $(cat $PID_F)
+  ;;
+ *)
+  echo "usage: $0 (start|stop)"
+  exit 1
+esac
+
+exit $?